upload: {
    open: false,
    isUploading: false,
    headers: { Authorization: "Bearer " + getToken() },
    url: process.env.VUE_APP_BASE_API + "/gysl/ml/importMl"
  }
  
      /** 导出按钮操作 */
      handleExport() {
        console.log('【导出参数】', JSON.stringify(this.queryParams, null, 2));
        this.$modal.confirm('确认导出所有数据?').then(() => {
          return exportCatalog(this.queryParams);
        }).then(response => {
          this.download(response.msg);
        }).catch(error => {
          console.error('导出失败:', error);
        });
      },
  
      /** 导入按钮操作 */
      handleImport() {
        this.upload.open = true;
      },
  
      /** 下载模板操作 */
      importTemplate() {
        this.download("/gysl/ml/importTemplate", {}, `目录导入模板_${new Date().getTime()}.xlsx`);
      },
  
      // 文件上传中处理
      handleFileUploadProgress(event, file, fileList) {
        this.upload.isUploading = true;
      },
  
      // 文件上传成功处理
      handleFileSuccess(response, file, fileList) {
        this.upload.open = false;
        this.upload.isUploading = false;
        this.$refs.upload.clearFiles();
        this.$alert(response.msg, "导入结果", { dangerouslyUseHTMLString: true });
        this.getList();
      },
  
      // 提交上传文件
      submitFileForm() {
        this.$refs.upload.submit();
      }